Subject: Re: [Ltru] Windows 8 user languages and BCP 47

From: Mark Davis ☕ <[email-masked]>
Date: Thu, 1 Mar 2012 10:03:26 -0800

That's a great achievement; I know something of what it is like to get all
of the pieces lined up  in a complex product (or set of products) to make
something like this happen. It takes a lot of work…

I'll look forward to trying it out; congratulations to you and your team,
Peter!

Mark <https://plus.google.com/114199149796022210033>
*
*
*— Il meglio è l’inimico del bene —*
**

On Wed, Feb 29, 2012 at 12:43, Peter Constable <[email-masked]>wrote:

>  [I know this will sound like a product plug. It may be that in part, but
> I really do want to applaud BCP 47.]****
>
> ** **
>
> The Windows 8 Consumer Preview went live today for the public to download
> and try out. One of the changes in this release is in the area of
> international settings, with the new Language control panel as the focal
> point. In previous versions of Windows, users were very limited (relative
> to the thousands of known languages) in terms of getting Windows to
> recognize the languages that they use. Thanks to ISO 639-3 and BCP 47, this
> is radically changed in Windows 8: users are now able to indicate
> preferences from thousands of languages (and tens of thousands of
> language-script pairings).****
>
> ** **
>
> To keep from having an overwhelming number of options from being
> presented, we don’t list every possibility by default. But using the search
> feature when you add a language, you can search on many additional language
> names, and you can also search using a BCP 47 tag. Any “valid” BCP 47
> language tag will be accepted, and that language can be added to your user
> profile. For our purposes, “valid” means (i) subtags are known (we’ll have
> a snapshot of LTRU), (ii) the script for the language is known (either an
> explicit script subtag or the script can be implied from the language
> subtag), and (iii) the script is one for which Windows 8 has text display
> support (I’ve lost count—close to 50).****
>
> ** **
>
> So, for instance, users can add to their profile languages such as
> sga-Oghm (Old Irish written in Ogham script) or tlh-Latn (Klingon written
> in Latin script). And with that, they can search for web content in those
> languages, or edit documents in those languages, or write apps or language
> tools like spelling checkers for those languages.****
>
> ** **
>
> It’s a milestone with personal significance for me—I started looking into
> how thousands of lesser-known languages could be supported in commercial
> software over 12 years ago. I want to give a big thanks to everyone who was
> involved in the (sometimes arduous) work on BCP 47 during that time. I see
> this a great success for BCP 47, and I hope it will lead to lots of success
> stories for smaller language communities throughout the world.****
>
> ** **
>
> ** **
>
> Thanks, all!****
>
> Peter Constable****
>
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ltru
>
>